using System;
using System.Threading.Tasks;
using Microsoft.Extensions.Logging;

namespace FitConnect;

/// <summary>
///     The FitConnect API Client
/// </summary>
// ReSharper disable once UnusedType.Global
public class Client {
    internal string? ClientId;
    internal string? ClientSecret;

    public IFluentSender Sender { get; }

    public IFluentSubscriber Subscriber { get; }
    // private Routing Routing { get; }


    /// <summary>
    /// Constructor for the FitConnect API Client
    /// </summary>
    /// <param name="environments">Choose one endpoint or create your own one</param>
    /// <param name="clientId">Your client id</param>
    /// <param name="clientSecret">Your client secret</param>
    /// <param name="logger">Optional logger</param>
    public Client(
        FitConnectEnvironments environments,
        string clientId,
        string clientSecret,
        ILogger? logger = null) {
        ClientId = clientId;
        ClientSecret = clientSecret;
    }
}
